ForkedGrailsTestRunner (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork.testing
[Groovy] Class ForkedGrailsTestRunner

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcess
          org.codehaus.groovy.grails.cli.fork.ForkedGrailsProjectClassExecutor
              org.codehaus.groovy.grails.cli.fork.testing.ForkedGrailsTestRunner

    @groovy.transform.CompileStatic
    class ForkedGrailsTestRunner
    extends ForkedGrailsProjectClassExecutor

Allows forking of JVM when executing the GrailsProjectTestRunner class from the grails-test module.

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class ForkedGrailsProcess
DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS

Constructor Summary
`ForkedGrailsTestRunner(BuildSettings buildSettings)`
`protected ForkedGrailsTestRunner()`

Method Summary
`protected void` | `configureFork(BuildSettings buildSettings)`
`protected groovy.lang.GroovyClassLoader` | `createClassLoader(BuildSettings buildSettings)`
`protected ExecutionContext` | `createExecutionContext()`
`protected java.lang.Object` | `createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)`
`protected java.lang.String` | `getProjectClassType()`
`protected java.lang.Object` | `instantiateIntegrationPhaseConfig(java.lang.Object testRunner, java.lang.Object projectLoader)`
`static void` | `main(java.lang.String[] args)`
`int` | `runInstance(java.lang.Object instance)`
`protected void` | `setTestExecutionContext(java.lang.Object testRunner, groovy.lang.Binding scriptBinding, java.lang.Object integrationPhaseConfigurer, java.lang.Object functionalPhaseConfigurer)`

Methods inherited from class ForkedGrailsProjectClassExecutor
createEventListener, createExecutionContext, createExecutionContext, createInstance, getProjectClassType, initializeProjectInstance, run, runInstance

Methods inherited from class ForkedGrailsProcess
attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startProjectWatcher, storeExecutionContext, waitForResume

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ForkedGrailsTestRunner

    ForkedGrailsTestRunner(BuildSettings buildSettings)

### ForkedGrailsTestRunner

    protected ForkedGrailsTestRunner()

Method Detail

### configureFork

    @java.lang.Override
    protected void configureFork(BuildSettings buildSettings)

### createClassLoader

    @java.lang.Override
    protected groovy.lang.GroovyClassLoader createClassLoader(BuildSettings buildSettings)

### createExecutionContext

    @java.lang.Override
    protected ExecutionContext createExecutionContext()

### createInstance

    @java.lang.Override
    protected java.lang.Object createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)

### getProjectClassType

    @java.lang.Override
    protected java.lang.String getProjectClassType()

### instantiateIntegrationPhaseConfig

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected java.lang.Object instantiateIntegrationPhaseConfig(java.lang.Object testRunner, java.lang.Object projectLoader)

### main

    static void main(java.lang.String[] args)

### runInstance

    @java.lang.Override
    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    int runInstance(java.lang.Object instance)

### setTestExecutionContext

    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    protected void setTestExecutionContext(java.lang.Object testRunner, groovy.lang.Binding scriptBinding, java.lang.Object integrationPhaseConfigurer, java.lang.Object functionalPhaseConfigurer)

Groovy Documentation